## org.eclipse.datatools.modelbase.sql.datatypes
Class IntegrityControlOption

    java.lang.Object
      AbstractEnumerator
          org.eclipse.datatools.modelbase.sql.datatypes.IntegrityControlOption

public final class IntegrityControlOption
extends AbstractEnumerator

A representation of the literals of the enumeration 'Integrity Control Option', and utility methods for working with them.

See Also:
  `SQLDataTypesPackage.getIntegrityControlOption()`, Serialized Form

Field Summary
`static int` `ALL` The 'ALL' literal value.
`static IntegrityControlOption` `ALL_LITERAL` The 'ALL' literal object.
`static int` `NONE` The 'NONE' literal value.
`static IntegrityControlOption` `NONE_LITERAL` The 'NONE' literal object.
`static int` `SELECTIVE` The 'SELECTIVE' literal value.
`static IntegrityControlOption` `SELECTIVE_LITERAL` The 'SELECTIVE' literal object.
`static java.util.List` `VALUES` A public read-only list of all the 'Integrity Control Option' enumerators.

Method Summary
`static IntegrityControlOption` `get(int value)` Returns the 'Integrity Control Option' literal with the specified value.
`static IntegrityControlOption` `get(java.lang.String name)` Returns the 'Integrity Control Option' literal with the specified name.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ALL

    public static final int ALL

  The 'ALL' literal value.

  See Also:
    `ALL_LITERAL`, Constant Field Values

### SELECTIVE

    public static final int SELECTIVE

  The 'SELECTIVE' literal value.

  See Also:
    `SELECTIVE_LITERAL`, Constant Field Values

### NONE

    public static final int NONE

  The 'NONE' literal value.

  See Also:
    `NONE_LITERAL`, Constant Field Values

### ALL_LITERAL

    public static final IntegrityControlOption ALL_LITERAL

  The 'ALL' literal object.

  If the meaning of 'ALL' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ALL`

### SELECTIVE_LITERAL

    public static final IntegrityControlOption SELECTIVE_LITERAL

  The 'SELECTIVE' literal object.

  If the meaning of 'SELECTIVE' literal object isn't clear, there really should be more of a description here...

  See Also:
    `SELECTIVE`

### NONE_LITERAL

    public static final IntegrityControlOption NONE_LITERAL

  The 'NONE' literal object.

  If the meaning of 'NONE' literal object isn't clear, there really should be more of a description here...

  See Also:
    `NONE`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Integrity Control Option' enumerators.

Method Detail

### get

    public static IntegrityControlOption get(java.lang.String name)

  Returns the 'Integrity Control Option' literal with the specified name.

### get

    public static IntegrityControlOption get(int value)

  Returns the 'Integrity Control Option' literal with the specified value.

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.